TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Statement

while

### Syntax

while <elt-alg^boo> do <statements> od;

### Description

<shortdoc> The 'while' loop executes the <statements> while the condition evaluates to 'true'. First the boolean expression is evaluated. If it evaluates to 'false' execution of the 'while' loop terminates and the statement immediately following the 'while' loop is executed next. Otherwise if it evaluates to 'true' the <statements> are executed and the whole process begins again. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack